
@import "_common.scss";

.card-description{
	&.bg-about{
		background-image: url("../images/about-ready-to-contact-bg.png");
		background-size: cover;
	}
	&-content{
		@media #{$mq-medium}{
			line-height: 2.5rem;
		}
	}
}
/*--------------------------------------------------------------
#  header 
--------------------------------------------------------------*/

@include header( null, $dark);
 
/*--------------------------------------------------------------
# index page 
--------------------------------------------------------------*/

// *{
// 	border: 1px solid red;
// }
.banner{
	background-image: url("../images/bg-banner.png");
	background-position: right;
	background-attachment: fixed;
	background-size: 100% 100%;
	position: relative;
	@media #{$mq-xmedium}{
		min-height: calc(100vh);
	}
	&-card{
		position: relative;
		&::before{
			content: " ";
			background-image: url("../images/icons/round-lined-shape-left.png");
			@include size(100px);
			background-size: 100% 100%;
			z-index: 20;
			@include position(absolute,-50px null null -50px);
		}
		&::after{
			content: " ";
			background-image: url("../images/icons/round-lined-shape-right.png");
			@include size(50px);
			background-size: 100% 100%;
			z-index: 20;
			@include position(absolute, null -20px 50px null);
		}
	}
    .carousel{
		z-index: 19;
        &-inner{
			.img-banner{
				opacity: 0;
				display: none!important;
			}
        }
        &-caption{
			@include padding(4rem null);
            @include position(relative, 0 0 0 0);
			@include size(100%);
			z-index: 300;
			text-align: left;
			.display-4 {
				font-weight: 400!important;
				.font-special{
					font-weight:700;
				}
				@media #{$mq-max-xxsmall}{
					font-size: 2rem;
				}
				@media #{$mq-max-small}{
					font-size: 3rem;
				}
				@media #{$mq-max-xmedium}{
					font-size: 2rem;
				}
			}
			&-text{
				@media #{$mq-large}{
					margin-top: 4rem;
				}
			}
        }
	}
	
	.bg-max-lg-light-primary{
		@media #{$mq-max-fullhd}{
			background-color: $light-primary!important;
		}
	}
}

.banner-features{
	z-index:2;
	width: 100%;
	@media #{$mq-max-fullhd}{
		@include position(relative, null 0 0 0);
	}
	@media #{$mq-fullhd}{
		@include position(absolute, null 0 0 0);
	}
	.owl-nav{
		@include position(absolute, -8px -15px 0 null);
		width: 25px;
		height: calc(100% + 8px);;
		display: flex; 
		align-items: center;
		justify-content: center;
		&.owl-next{
			width: 25px;
			height: 100%;
			background-color: $dark!important;
			font-size: 2rem;
			i{
				color: $white;
				font-size: 1rem;
			}
		}
	}
}
// *{
// 	border: 1px solid red;
// }
.about-bg{
	background-image: url("../images/about-bg-banner.png");
	background-position: center;
}

.service{
	.bg-none{
		@extend .bg-none;
		@include hover{
			background-color: $white;
		}
	}
	.card{
		@include transition1;
		@include hover{
			@extend .custom-shadow;
		}
	}
}

.bg-banner-overlay{
	&.img-decision-bg{
		background-image: url("../images/img-decision-bg.png");
		background-size: cover;
	}
	&.img-map{
		background-image: url("../images/img-map-bg.png");
		background-size: cover;
	}
	.container{
		position: relative;
		z-index: 3;
	}
}

.clients{
	.card-clients{
		position: relative;
		&:after{
			content: "";
			@extend .bg-overlay;
			@extend .rounded-md;
		}
		.card-body{
			color: $white;
			position: relative;
			z-index: 2;
		}
		p{
			color: $white;
		}
	}
	.bsnl{
		background-image: url("../images/clients/bsnl-bg.png");
		background-size: 100% 100%;
		.img-bottom{
			@media #{$mq-max-fullhd}{
				@include position(absolute, 0 20% 0 null);
				text-align: right;
				img{
					height: 100%;
				}
			}
			@media #{$mq-max-xsmall}{
				@include position(relative, 0 3% 0 null);
			}
		}
	}

	.whirlpool{
		background-image: url("../images/clients/whirlpool-bg.png");
		background-size: 100% 100%;
	}

	.tinkersale{
		position: relative;
		background-image: url("../images/clients/tinkersale-bg.png");
		background-size: 100% 100%;
		.img-bottom-right{
			@media #{$mq-max-xsmall}{
				margin-right: -20px;
				margin-bottom: -20px;
			}
			@media #{$mq-xsmall}{
				@include position(absolute, null 0 0 null);
			}
		}
	}
	.unilever{
		background-image: url("../images/clients/unilever-bg.png");
		background-size: 100% 100%;
		// .img-bottom{
		// 	margin-bottom: -20px;
		// }
	}
	.infoedge{
		background-image: url("../images/clients/infoedge-bg.png");
		background-size: 100% 100%;
		
	}
}

.our-technologies{
	background-image: url("../images/our-technologies-bg.png");
	background-size: cover;
	background-position-x: center;
	p{
		color: $dark;
	}
}


.why-choose-us{
	.card{
		@include transition1;
		@include hover{
			@media #{$mq-small}{
				@include transform(translateY(50px));
			}
			@extend .custom-shadow;
		}
		.img-icon{
			margin-top: -100px;
		}
		&-body{
			@include padding(2rem);
		}
	}
}

.our-portfolio{
	.card{
		@include transition1;
		border-width: 0;
		@include hover{
			@extend .custom-shadow;
		}
		&-text{
			color: $deep-primary;
		}
		&.card-portfolio{
			background-color: $deep-primary;
			@extend .rounded-md;	
			overflow: hidden;
			.card-body.card-body-text{
				border-width: 0;
				background-color: $white;
				color: $dark;
			}
		}
	}
	@include owl-nav("rounded-circle", null, "center", "end");
}

.our-reward{
	.card{
		@include transition1;
		border-width: 0;
		&-text{
			color: $deep-primary;
		}
		&.card-reward{
			background-color: $deep-primary;
			@extend .rounded-md;	
			overflow: hidden;
			.card-body{
				.card-title{
					color: $white;
				}
			}
			.card-img-overlay{
				top: calc(80% - 38px)!important;
				@include transition1;
				.card-title{
					opacity: 1;
					padding-right: 15px;
					@include transition1;
				}
				.btn{
						opacity: 0;
					@include transition1;
					background-color: rgba($color: $primary, $alpha: 0);
					color: $white;
					max-width: 150px;
				}
			}
		}
		@include hover{
			.card-img-overlay{
				top: 25%!important;
				.card-title{
					opacity: 0;
				}
				.btn{
					opacity: 1;
					background-color: rgba($color: $primary, $alpha: 0.5);
					color: $white;
				}
			}
		}
	}
	@include owl-nav("rounded-circle", null, "center", "end");
}

.news{
	.container{
		background-color: $light-primary;
		@extend .rounded-md;
	}
}

.testimonial{
	background-color: $light-primary;
	position: relative;
	.section-heading{
		@include position(absolute, 20px 0 0 0px);
		@media #{$mq-xsmall}{
			@include position(absolute, 20px 0 0 20px);
		}
		@media #{$mq-small}{
			@include position(absolute, 20px 0 0 40px);
		}
		@media #{$mq-large}{
			@include position(absolute, 20px 0 0 100px);
		}
		@media #{$mq-small}{
			max-width: 100px;
		}
		@media #{$mq-medium}{
			max-width: 200px;
		}

	}
	.testimonial-carousel{
		.slick-arrow{
			z-index: 3;
			@include position(absolute, null -150px 30px null);
			color: white;
		}
		
		@media #{$mq-small}{
			margin-right: -65px;
		}
		@media #{$mq-max-small}{
			margin-top: 0px;
			margin-right: 0px;
		}
		@media #{$mq-max-large}{
			margin-top: 50px;  
		}
		z-index: 200; 
		.slick-list{
			.slick-track{
				left: 0%;
			}
		}
		@media #{$mq-small}{
			.slick-list{
				.slick-track{
					left: 10%;
				}
			}
		}
		@media #{$mq-medium}{
			.slick-list{
				.slick-track{
					left: 40%;
				}
			}
		} 
		.slick-slide{
			@include transition1; 
			img{
				@include transition1; 
				// margin-right: auto;
				width: 100%;
				@include transform(scale(0.7));
				@media #{$mq-small}{
					transform-origin: 0% 100%;
				}
			}
			@include hover(){
				border: 0;
				outline: 0px;
			}  
			&.slick-center{
				text-align: right;
				img{
					width: 100%;
					// margin-right: auto;
					@include transform(scale(1));
				}
				&+.slick-slide{
					img{
						@media #{$mq-small}{
							@include transform(scale(1));
							transform-origin: bottom;
							margin: auto;
							opacity: 0;
						}
					}
				}
			}
		}  
		  
	}
	.testiminital-bg-card{
		@include padding(7%);
		@media #{$mq-max-small}{
			margin-top: -100px;
		}
		.testiminital-bg-card-carousel{
			z-index: 2;
		}
		&::after{
			content: " ";
			@include position(absolute, 0 0 0 -30px);
			background-image: url("../images/testimonial-bg.png");
			background-size: 100% 100%;
			z-index: 0;
		}  
		.card{
			background-color: transparent;
			border: 0;
			@include padding(3rem 0);
			h4,h5,p{
				color: $white;
			}
		}
	}
}

.blog{
	.owl-item{
		height: 100%!Important;
	}
	.card{
		@include transition1;
		border:1px solid $gray;
		display: flex;
		&-text{
			color: $deep-primary;
		}
		&.card-reward{
			background-color: $deep-primary;
			@extend .rounded-md;	
			overflow: hidden;
			.card-body{
				.card-title{
					color: $white;
				}
			}
			.card-img-overlay{
				top: calc(90% - 38px)!important;
				@include transition1;
				.card-title{
					opacity: 1;
					@include transition1;
				}
				.btn{
					opacity: 0;
					@include transition1;
					background-color: rgba($color: $primary, $alpha: 0);
					color: $white;
					max-width: 150px;
				}
			}
		}
		@include hover{
			.card-img-overlay{
				top: 30%!important;
				.card-title{
					opacity: 0;
				}
				.btn{
					opacity: 1;
					background-color: rgba($color: $primary, $alpha: 0.5);
					color: $white;
				}
			}
		}
	}
	@include owl-nav("rounded-circle", null, "center", "end");
	@include owl-dots();

}

.our-partners{
	background-color: #2C3145;
	@include owl-nav("rounded-circle", null, "center", "end"); 
	.owl-prev, .owl-next{
		background-color: $white!important;
		&:after{
			color: $deep-primary!important;
		}	
		@include hover{
			background-color: $primary!important;
		}
		&:active{
			&:after{
				color: $white!important;
			}
		}
	}
	.card{
		background-color: transparent
	}
}

/*----------------------------------------------------------------------
Service
------------------------------------------------------------------------*/

.service-banner{
	background-image: url("../images/service-banner.png");
	background-position: right;
	// background-attachment: fixed;
	background-size: 100% 100%;
	position: relative;
	.jumbotron {
		z-index: 200;
		position: relative;
	};
}

/*----------------------------------------------------------------------
Portfolio
------------------------------------------------------------------------*/

.filter-btns-carousel{
	@include owl-nav("rounded-circle", null, "center", "end");
}

/*----------------------------------------------------------------------
FOTTER
------------------------------------------------------------------------*/

footer{
	position: relative;
	background-color: $lighter-primary;
	.container{
		position: relative;
		z-index: 2;
		}
	.bg-triangle-left {
		@include position(absolute, null null 0 0);
		z-index: 1;
		img{max-width: 200px;}
		@include transform(scaleY(-1));
	}
	.bg-triangle-right {
		@include position(absolute, null 0 0 null);
		z-index: 1;
		img{max-width: 200px;}
		@include transform(scale(-1));
	}
	h4{
		color: $white;
	}
	ul{
		padding-left:0;
		a{
			color: $gray;
		}
	}
}

.contact-form{
	input{
		height: calc(2em + .75rem + 2px);
	}
	.form-control{
		border: 2px solid $gray!important;
		background-color: #F5F8FA!important;
		@include padding(1rem);
	}

}